Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024638
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2013-08-30 14:412013-10-01 17:04
ReportercaristuView Statuspublic 
Assigned Toshankarb 
PriorityhighResolutionfixedFixed in Version3.0MP28
StatusclosedFix in branchFixed in SCM revision73df6c79ca82
ProjectionnoneETAnoneTarget Version3.0MP28
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024638: An error appears when using a field in the tab display logic which is present in the header and also in the tab

DescriptionAn error appears (see attached screenshot) if we use a display logic for a tab which uses a field name, which is present in the header and also in the tab we want to apply this display logic
Steps To ReproduceAs system administrator role
1) Go to the [Windows, Tabs and fields] window and look for the Sales Invoice window
2) Add the following display logic for the lines tab: @AD_Org_ID@='7BABA5FF80494CAFA54DEBD22EC46F01' (AD_Org_ID field is present in both header and lines tab)
Log-out and log-in as group admin role
3) Go to the Sales Invoice window

TagsNo tags attached.
Attached Filespng file icon dlError.png [^] (72,069 bytes) 2013-08-30 14:41

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00246373.0MP28 closedshankarb Display Logic does not work in tabs located in windows that have several tabs referencing the same entity 
related to defect 00247633.0MP29 closedAugustoMauch Display logic for tabs not working properly for tabs that reference the same entity of the header 
related to defect 0025307 closedAugustoMauch Display logic based on preferences 
related to defect 00253873.0MP31 closedalostale unneeded flushes in view generation 

-  Notes
(0061289)
hgbot (developer)
2013-09-19 07:36

Repository: erp/devel/pi
Changeset: 06606d1fa59dc0e973c2033683e7e041672227f7
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Thu Sep 19 11:04:32 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/06606d1fa59dc0e973c2033683e7e041672227f7 [^]

Fixes Issue 0024638: An error appears when using a field in the tab display logic which is present in the header and also in the tab

If a window has more than one tab with the same entity then getParentTab was returning incorrect values.
getParentTab has been modified to look at the logical arrangement of tabs alone and retrieve the parent tab.

---
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/KernelUtils.java
A modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/KernelUtils_data.xsql
---
(0061291)
shankarb (developer)
2013-09-19 11:27

Issue not fixed yet.
(0061297)
hudsonbot (developer)
2013-09-19 14:52

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/407564ea9109 [^]

Maturity status: Test
(0061486)
hgbot (developer)
2013-09-30 14:01

Repository: erp/devel/pi
Changeset: 73df6c79ca82f5fcc60cddda824d6bd721e05067
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Mon Sep 30 17:25:31 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/73df6c79ca82f5fcc60cddda824d6bd721e05067 [^]

Fixes Issue 0024638: An error appears when using a field in the tab display logic which is present in the header and also in the tab

The following actions has been done to fix the issue.
* When generating display logic for tabs, the parameter needs to be fetched from context and not from currentValues.
* When executing the display logic for a tab at runtime, always use the context of the parent,
as that contains the context variables for displaying the child tab.

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/DynamicExpressionParser.java
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js
---
(0061487)
AugustoMauch (developer)
2013-09-30 15:05

Code reviewed and verified in pi@73df6c79ca82
(0061507)
hudsonbot (developer)
2013-10-01 17:04

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/541c707a5e9b [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-08-30 14:41 caristu New Issue
2013-08-30 14:41 caristu Assigned To => AugustoMauch
2013-08-30 14:41 caristu File Added: dlError.png
2013-08-30 14:41 caristu Modules => Core
2013-08-30 14:41 caristu Triggers an Emergency Pack => No
2013-08-30 14:41 caristu Relationship added related to 0024637
2013-09-03 09:53 AugustoMauch Assigned To AugustoMauch => shankarb
2013-09-19 07:36 hgbot Checkin
2013-09-19 07:36 hgbot Note Added: 0061289
2013-09-19 07:36 hgbot Status new => resolved
2013-09-19 07:36 hgbot Resolution open => fixed
2013-09-19 07:36 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/06606d1fa59dc0e973c2033683e7e041672227f7 [^]
2013-09-19 11:27 shankarb Note Added: 0061291
2013-09-19 11:27 shankarb Status resolved => new
2013-09-19 11:27 shankarb Resolution fixed => open
2013-09-19 14:52 hudsonbot Checkin
2013-09-19 14:52 hudsonbot Note Added: 0061297
2013-09-30 13:56 shankarb Review Assigned To => AugustoMauch
2013-09-30 13:56 shankarb Issue Monitored: AugustoMauch
2013-09-30 14:01 hgbot Checkin
2013-09-30 14:01 hgbot Note Added: 0061486
2013-09-30 14:01 hgbot Status new => resolved
2013-09-30 14:01 hgbot Resolution open => fixed
2013-09-30 14:01 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/06606d1fa59dc0e973c2033683e7e041672227f7 [^] => http://code.openbravo.com/erp/devel/pi/rev/73df6c79ca82f5fcc60cddda824d6bd721e05067 [^]
2013-09-30 14:04 alostale Relationship added related to 0024763
2013-09-30 15:05 AugustoMauch Note Added: 0061487
2013-09-30 15:05 AugustoMauch Status resolved => closed
2013-09-30 15:05 AugustoMauch Fixed in Version => 3.0MP28
2013-10-01 17:04 hudsonbot Checkin
2013-10-01 17:04 hudsonbot Note Added: 0061507
2013-12-12 12:52 AugustoMauch Relationship added related to 0025307
2013-12-20 12:42 alostale Relationship added related to 0025387


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker